{{page-title this.model.article.title " | " (capitalize (t "edit-label"))}}

{{#if (or this.fastboot.isFastBoot (not @model))}}
  <LoadingContainer />
{{else}}
  <div class="d-flex min-h-100">
    <Manage::EditManager as |editManager|>
      <Manage::SideBar class="order-last flex-shrink-1">
        {{#if this.isSlugVisible}}
          <Manage::Visibility
            @model={{this.editableModel}}
            @teams={{@model.teams}}
            @hasIsDefault={{false}}
            @editablePanel={{editManager.editableField}}
            @isAdmin={{this.user.isAdmin}}
            @areAllShowing={{this.allTeams}}
            @onChangeAll={{this.changeAll}}
            @saveIsPublic={{this.saveIsPublic}}
            @saveIsDefault={{this.saveIsDefault}}
            @saveTeam={{this.saveTeam}}
            @onEdit={{editManager.edit}}
            @onCancel={{editManager.cancel}}
          />
        {{/if}}

        <Manage::ModelInfo
          @editablePanel={{editManager.editableField}}
          @model={{this.editableModel}}
          @onSave={{this.save}}
          @onCancel={{editManager.cancel}}
          @onEdit={{editManager.edit}}
        />
      </Manage::SideBar>

      <Manage::Container class="flex-grow-1" @title={{capitalize (t "edit article")}} @breadcrumbs={{this.breadcrumbs}}>
        <:content>
          <Manage::Row @name="article">
            <Manage::Article
              @title={{t "title and article"}}
              @editablePanel={{editManager.editableField}}
              @value={{@model.article.contentBlocks}}
              @onSave={{this.saveArticle}}
              @onCancel={{editManager.cancel}}
              @onEdit={{editManager.edit}}
              @onPictureUpload={{this.onPictureUpload}}
              @teamId={{@model.article.visibility.teamId}}
              @allowVideo={{this.allowVideo}}
            />
          </Manage::Row>

          {{#if this.isSlugVisible}}
            <Manage::Row @name="slug">
              <Manage::ArticleSlug
                @title={{t "slug"}}
                @editablePanel={{editManager.editableField}}
                @value={{@model.article.slug}}
                @onSave={{fn this.saveField "slug"}}
                @onCancel={{editManager.cancel}}
                @onEdit={{editManager.edit}}
                @onPictureUpload={{this.onPictureUpload}}
              />
            </Manage::Row>

            <Manage::Row @name="order">
              <Manage::Text
                @title={{t "order"}}
                @type="number"
                @isMainValue={{false}}
                @value={{@model.article.order}}
                @emptyError={{capitalize (t "this article has no order")}}
                @editablePanel={{editManager.editableField}}
                @onSave={{fn this.saveField "order"}}
                @onEdit={{editManager.edit}}
                @onCancel={{editManager.cancel}}
              />
            </Manage::Row>
          {{/if}}

          {{#unless this.isNewsletterWelcome}}
            <Manage::Row @name="categories">
              <Manage::StringList
                @title={{t "categories"}}
                @isMainValue={{true}}
                @list={{@model.article.categories}}
                @primaryOptions={{@model.team.categories}}
                @onPrimaryChange={{this.handlePrimaryChange}}
                @options={{this.existingCategories}}
                @editablePanel={{editManager.editableField}}
                @onSave={{fn this.saveField "categories"}}
                @onEdit={{editManager.edit}}
                @onCancel={{editManager.cancel}}
              />
            </Manage::Row>
          {{/unless}}

          {{#if this.showMessageFields}}
            <Manage::Row @name="subject">
              <Manage::Text
                @title={{t "subject"}}
                @isMainValue={{true}}
                @value={{@model.article.subject}}
                @emptyError={{capitalize (t "this message has no subject")}}
                @editablePanel={{editManager.editableField}}
                @onSave={{fn this.saveField "subject"}}
                @onEdit={{editManager.edit}}
                @onCancel={{editManager.cancel}}
              />
            </Manage::Row>
          {{/if}}

          {{#unless this.isNewsletterWelcome}}
            <Manage::Row @name="release-date">
              <Manage::Date
                @title={{t "release date"}}
                @isMainValue={{true}}
                @allowTime={{true}}
                @editablePanel={{editManager.editableField}}
                @onSave={{fn this.saveField "releaseDate"}}
                @onEdit={{editManager.edit}}
                @onCancel={{editManager.cancel}}
                @value={{@model.article.releaseDate}}
              />
            </Manage::Row>

            <Manage::Row @name="cover">
              <Manage::Cover
                @title={{t "cover"}}
                @model="Article"
                @modelId={{@model.article.id}}
                @editablePanel={{editManager.editableField}}
                @onSave={{this.saveCover}}
                @onEdit={{editManager.edit}}
                @onCancel={{editManager.cancel}}
                @value={{@model.article.cover}}
              />
            </Manage::Row>

            <Manage::Row @name="gallery">
              <Manage::PhotoGallery
                @title={{t "photos"}}
                @editablePanel={{editManager.editableField}}
                @value={{@model.article.pictures}}
                @onSave={{this.savePictures}}
                @onCancel={{editManager.cancel}}
                @onEdit={{editManager.edit}}
                @model="Article"
                @modelId={{@model.article.id}}
              />
            </Manage::Row>
          {{/unless}}

          {{#if (and this.showMessageFields @model.team.allowEvents @model.events)}}
            <Manage::Row @name="events">
              <Manage::EventList
                @title={{t "events"}}
                @editablePanel={{editManager.editableField}}
                @value={{@model.article.events}}
                @list={{@model.events}}
                @onSave={{fn this.saveField "events"}}
                @onCancel={{editManager.cancel}}
                @onEdit={{editManager.edit}}
              />
            </Manage::Row>
          {{/if}}
        </:content>
      </Manage::Container>
    </Manage::EditManager>
  </div>
{{/if}}